Bug 1114187 - Review Request: python-shadowsocks - A fast tunnel proxy that help you get through firewalls
Summary: Review Request: python-shadowsocks - A fast tunnel proxy that help you get th...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Antonio T. (sagitter)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-28 10:23 UTC by Robin Lee
Modified: 2014-07-28 03:25 UTC (History)
2 users (show)

Fixed In Version: python-shadowsocks-2.0.11-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-28 03:25:42 UTC
Type: ---
anto.trande: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Robin Lee 2014-06-28 10:23:07 UTC
Spec URL: http://cheeselee.fedorapeople.org/python-shadowsocks.spec
SRPM URL: http://cheeselee.fedorapeople.org/python-shadowsocks-2.0.8-1.fc20.src.rpm
Description:
Shadowsocks is a socks5 tunnel proxy, designed to secure your Internet
traffic.

This package contains the client and server implementation for Shadowsocks in
Python.

Fedora Account System Username: cheeselee

Comment 1 Antonio T. (sagitter) 2014-07-03 14:41:39 UTC
Hi Robin.

At a fast check, your .spec file needs some fixes according to the Python packaging guidelines (http://fedoraproject.org/wiki/Packaging:Python); also, it does not provide any License file.

Comment 2 Robin Lee 2014-07-07 01:49:06 UTC
Spec URL: http://cheeselee.fedorapeople.org/python-shadowsocks.spec
SRPM URL: http://cheeselee.fedorapeople.org/python-shadowsocks-2.0.8-2.fc20.src.rpm

2.0.8-2 Change:
- Explicitly use python2 macros

(In reply to Antonio Trande from comment #1)
> Hi Robin.
> 
> At a fast check, your .spec file needs some fixes according to the Python
> packaging guidelines (http://fedoraproject.org/wiki/Packaging:Python); also,
> it does not provide any License file.

A license file is already in the upstream git but has not been included in the released tarball. I will persuade upstream to get it included in next release.
https://github.com/clowwindy/shadowsocks/issues/151

Comment 3 Robin Lee 2014-07-12 08:40:11 UTC
Spec URL: http://cheeselee.fedorapeople.org/python-shadowsocks.spec
SRPM URL: http://cheeselee.fedorapeople.org/python-shadowsocks-2.0.10-1.fc20.src.rpm

Changes:
- Update to 2.0.10
- Requries and BuildRequires m2crypto

Comment 4 Antonio T. (sagitter) 2014-07-12 08:54:13 UTC
The building of RPMs fails with

...
ImportError: No module named setuptools

Comment 5 Robin Lee 2014-07-12 10:39:30 UTC
Spec URL: http://cheeselee.fedorapeople.org/python-shadowsocks.spec
SRPM URL: http://cheeselee.fedorapeople.org/python-shadowsocks-2.0.10-2.fc20.src.rpm

Change:
- BuildRequires python-setuptools

Comment 6 Antonio T. (sagitter) 2014-07-13 18:15:58 UTC
- Please, make sure have been packaged just Python eggs from source.
  Source archive provides a shadowsocks.egg-info directory.
  http://fedoraproject.org/wiki/Packaging:Python#How_to_package

- Include a LICENSE file and add a comment to 
  https://github.com/clowwindy/shadowsocks/issues/151
  

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "MIT/X11 (BSD like)", "Unknown or generated". 3 files have unknown
     license. Detailed output of licensecheck in /home/sagitter/1114187
     -python-shadowsocks/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[-]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[!]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[x]: Latest version is packaged.
[!]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-shadowsocks-2.0.10-2.fc21.noarch.rpm
          python-shadowsocks-2.0.10-2.fc21.src.rpm
python-shadowsocks.noarch: W: no-manual-page-for-binary sslocal
python-shadowsocks.noarch: W: no-manual-page-for-binary ssserver
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-shadowsocks
python-shadowsocks.noarch: W: no-manual-page-for-binary sslocal
python-shadowsocks.noarch: W: no-manual-page-for-binary ssserver
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-shadowsocks (rpmlib, GLIBC filtered):
    /usr/bin/python2
    m2crypto
    python(abi)



Provides
--------
python-shadowsocks:
    python-shadowsocks



Source checksums
----------------
https://pypi.python.org/packages/source/s/shadowsocks/shadowsocks-2.0.10.tar.gz :
  CHECKSUM(SHA256) this package     : a05b8842cb367dc2fe6d811efec7ee336847e6371ecb811cb26bf678598d4eb2
  CHECKSUM(SHA256) upstream package : a05b8842cb367dc2fe6d811efec7ee336847e6371ecb811cb26bf678598d4eb2


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1114187
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 7 Robin Lee 2014-07-15 02:15:44 UTC
Spec URL: http://cheeselee.fedorapeople.org/python-shadowsocks.spec
SRPM URL: http://cheeselee.fedorapeople.org/python-shadowsocks-2.0.11-1.fc20.src.rpm

Changes:
- Update to 2.0.11, LICENSE included
- Explicitly remove the included egg

Comment 8 Antonio T. (sagitter) 2014-07-15 13:07:42 UTC
Package approved.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "MIT/X11 (BSD like)", "Unknown or generated". 3 files have unknown
     license. Detailed output of licensecheck in /home/sagitter/1114187
     -python-shadowsocks/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-shadowsocks-2.0.11-1.fc21.noarch.rpm
          python-shadowsocks-2.0.11-1.fc21.src.rpm
python-shadowsocks.noarch: W: no-manual-page-for-binary sslocal
python-shadowsocks.noarch: W: no-manual-page-for-binary ssserver
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-shadowsocks
python-shadowsocks.noarch: W: no-manual-page-for-binary sslocal
python-shadowsocks.noarch: W: no-manual-page-for-binary ssserver
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-shadowsocks (rpmlib, GLIBC filtered):
    /usr/bin/python2
    m2crypto
    python(abi)



Provides
--------
python-shadowsocks:
    python-shadowsocks



Source checksums
----------------
https://pypi.python.org/packages/source/s/shadowsocks/shadowsocks-2.0.11.tar.gz :
  CHECKSUM(SHA256) this package     : 776d444b9862c0277190a807ad0370801d8edde2f3427ee4897cd6fc40dbc0d4
  CHECKSUM(SHA256) upstream package : 776d444b9862c0277190a807ad0370801d8edde2f3427ee4897cd6fc40dbc0d4


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m fedora-rawhide-i386 -b 1114187
Buildroot used: fedora-rawhide-i386
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 9 Robin Lee 2014-07-16 02:23:13 UTC
Thanks, Antonio!

New Package SCM Request
=======================
Package Name: python-shadowsocks
Short Description: A fast tunnel proxy that help you get through firewalls
Upstream URL: http://shadowsocks.org/
Owners: cheeselee
Branches: f19 f20 f21
InitialCC:

Comment 10 Gwyn Ciesla 2014-07-16 10:13:21 UTC
Git done (by process-git-requests).

Comment 11 Fedora Update System 2014-07-17 05:57:02 UTC
python-shadowsocks-2.0.11-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-shadowsocks-2.0.11-1.fc19

Comment 12 Fedora Update System 2014-07-19 05:58:34 UTC
python-shadowsocks-2.0.11-1.fc19 has been pushed to the Fedora 19 testing repository.

Comment 13 Fedora Update System 2014-07-28 03:25:42 UTC
python-shadowsocks-2.0.11-1.fc19 has been pushed to the Fedora 19 stable repository.


Note You need to log in before you can comment on or make changes to this bug.